<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddFolder Method (IEdmBatchDelete)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchDelete Interface : AddFolder Method (IEdmBatchDelete)

Visual Basic
C#
C++/CLI

oFolderIDorPath
  ID of or path to folder to delete

Adds a folder with the specified ID or path to the batch of folders to delete.

# Syntax

Visual Basic |
--- | ---

    Sub AddFolder( _
       ByVal oFolderIDorPath As System.Object _
    )

C# |
--- | ---

    void AddFolder(
       System.object oFolderIDorPath
    )

C++/CLI |
--- | ---

    void AddFolder(
    &   System.Object^ oFolderIDorPath
    )

#### Parameters

oFolderIDorPath
  ID of or path to folder to delete

# Example

See the IEdmBatchDelete examples.

# Remarks

After calling this method, call IEdmBatchDelete::CommitDelete to delete the file from the vault.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchDelete Interface
IEdmBatchDelete Members

# Availability

SOLIDWORKS PDM Professional 2008